#!/usr/bin/make -f

export PYBUILD_NAME=spf-engine

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	# Remove stuff from package install we install by hand
	rm -rf debian/python3-spf-engine/usr/bin
	rm -rf debian/python3-spf-engine/usr/share
	rm -rf debian/python3-spf-engine/usr/lib/systemd
	rm -rf debian/python3-spf-engine/usr/etc
	cp .pybuild/cpython3_3.*_spf-engine/data/etc/init.d/pyspf-milter debian/pyspf-milter.init
	mkdir -p debian/pyspf-milter/etc

override_dh_auto_test:

execute_after_dh_auto_clean:
	dh_auto_clean
	rm -f debian/pyspf-milter.init
